searchNodes=[{"doc":"Indicado helps you analyze historical data to generate future price movement predictions on numerical datasets.","ref":"Indicado.html","title":"Indicado","type":"module"},{"doc":"This is the ADI module used for calculating Accumulation Distribution Line.","ref":"Indicado.ADI.html","title":"Indicado.ADI","type":"module"},{"doc":"Calculates ADI for the list. The list argument passed to eval function should be list of adi_data_map type. Returns {:ok, adi_ist} or {:error, reason} Examples iex&gt; Indicado.ADI . eval ( [ %{ low : 1.0 , high : 11.0 , close : 10.0 , volume : 5.7 } , %{ low : 2.0 , high : 6.0 , close : 3.0 , volume : 11.5 } , %{ low : 3.0 , high : 7.0 , close : 4.0 , volume : 2.0 } , %{ low : 4.0 , high : 20.3 , close : 18.0 , volume : 20.2 } ] ) { :ok , [ 4.5600000000000005 , - 1.1899999999999995 , - 2.1899999999999995 , 12.309386503067484 ] } iex&gt; Indicado.ADI . eval ( [ %{ low : 1.0 , high : 4.0 , close : 3.0 , volume : 2.0 } ] ) { :ok , [ 0.6666666666666666 ] } iex&gt; Indicado.ADI . eval ( [ ] ) { :error , :not_enough_data }","ref":"Indicado.ADI.html#eval/1","title":"Indicado.ADI.eval/1","type":"function"},{"doc":"Calculates ADI for the list. The list argument passed to eval function should be list of adi_data_map type spec. Raises exceptions when arguments does not satisfy needed conditions. Returns adi_ist or, Raises NotEnoughDataError if the given list lenght is zero. Examples iex&gt; Indicado.ADI . eval! ( [ %{ low : 1.0 , high : 4.0 , close : 3.0 , volume : 2.0 } ] ) [ 0.6666666666666666 ] iex&gt; Indicado.ADI . eval! ( [ ] ) ** (NotEnoughDataError) not enough data","ref":"Indicado.ADI.html#eval!/1","title":"Indicado.ADI.eval!/1","type":"function"},{"doc":"The argument passed to eval functions should be a list of adi_data_map type.","ref":"Indicado.ADI.html#t:adi_data_map/0","title":"Indicado.ADI.adi_data_map/0","type":"type"},{"doc":"This is the Bollinger module used for calculating Bollinger Bands.","ref":"Indicado.Bollinger.html","title":"Indicado.Bollinger","type":"module"},{"doc":"Calculates BB for the list. Returns list of map [{lower: x, mean: y, upper: z}] or {:error, reason} lower represents low band of bollinger band mean represents mean value upper represents upper value of bollinger band Examples iex&gt; Indicado.Bollinger . eval ( [ 1 , 2 , 3 , 4 , 5 ] , 2 , 2 ) { :ok , [ %{ lower : 0.5 , mean : 1.5 , upper : 2.5 } , %{ lower : 1.5 , mean : 2.5 , upper : 3.5 } , %{ lower : 2.5 , mean : 3.5 , upper : 4.5 } , %{ lower : 3.5 , mean : 4.5 , upper : 5.5 } ] } iex&gt; Indicado.Bollinger . eval ( [ 1 , 2 , 3 , 4 , 5 ] , 2 , 3 ) { :ok , [ %{ lower : 0.0 , mean : 1.5 , upper : 3.0 } , %{ lower : 1.0 , mean : 2.5 , upper : 4.0 } , %{ lower : 2.0 , mean : 3.5 , upper : 5.0 } , %{ lower : 3.0 , mean : 4.5 , upper : 6.0 } ] } iex&gt; Indicado.Bollinger . eval ( [ 1 , 2 , 3 , 4 , 5 ] , 0 , 3 ) { :error , :bad_period } iex&gt; Indicado.Bollinger . eval ( [ 1 , 2 , 3 , 4 , 5 ] , 5 , 0 ) { :error , :bad_deviation }","ref":"Indicado.Bollinger.html#eval/3","title":"Indicado.Bollinger.eval/3","type":"function"},{"doc":"Calculates BB for the list. Raises exceptions when argument does not satisfy needed conditions to calculate Bollinger Bands. Returns list of map [{lower: x, mean: y, upper: z}] or {:error, reason} lower represents low band of bollinger band mean represents mean value upper represents upper value of bollinger band Raises NotEnoughDataError if the given list is not longh enough for calculating SMA. Raises BadPeriodError if period is an unacceptable number. Raises BadDeviationError if deviation is an unacceptable number. Examples iex&gt; Indicado.Bollinger . eval! ( [ 1 , 2 , 3 , 4 , 5 ] , 2 , 2 ) [ %{ lower : 0.5 , mean : 1.5 , upper : 2.5 } , %{ lower : 1.5 , mean : 2.5 , upper : 3.5 } , %{ lower : 2.5 , mean : 3.5 , upper : 4.5 } , %{ lower : 3.5 , mean : 4.5 , upper : 5.5 } ] iex&gt; Indicado.Bollinger . eval! ( [ 1 , 2 , 3 , 4 , 5 ] , 2 , 3 ) [ %{ lower : 0.0 , mean : 1.5 , upper : 3.0 } , %{ lower : 1.0 , mean : 2.5 , upper : 4.0 } , %{ lower : 2.0 , mean : 3.5 , upper : 5.0 } , %{ lower : 3.0 , mean : 4.5 , upper : 6.0 } ] iex&gt; Indicado.Bollinger . eval! ( [ ] , 2 , 3 ) ** (NotEnoughDataError) not enough data iex&gt; Indicado.Bollinger . eval! ( [ 1 , 2 , 3 , 4 , 5 ] , 0 , 3 ) ** (BadPeriodError) bad period iex&gt; Indicado.Bollinger . eval! ( [ 1 , 2 , 3 , 4 , 5 ] , 5 , 0 ) ** (BadDeviationError) bad deviation","ref":"Indicado.Bollinger.html#eval!/3","title":"Indicado.Bollinger.eval!/3","type":"function"},{"doc":"This is the EMA module used for calculating Exponential Moving Average","ref":"Indicado.EMA.html","title":"Indicado.EMA","type":"module"},{"doc":"Calculates EMA for the list. It needs non empty list of numbers and a positive period argument. Returns {:ok, ema_list} or {:error, reason} Examples iex&gt; Indicado.EMA . eval ( [ 1 , 2 , 3 , 4 ] , 2 ) { :ok , [ 1.0 , 1.6666666666666665 , 2.5555555555555554 , 3.518518518518518 ] } iex&gt; Indicado.EMA . eval ( [ 2 , 4 , 5 , 10 , 100 , 1000 ] , 3 ) { :ok , [ 2.0 , 3.0 , 4.0 , 7.0 , 53.5 , 526.75 ] } iex&gt; Indicado.EMA . eval ( [ 2 , 4 , 5 , 10 , 100 , 1000 ] , 5 ) { :ok , [ 2.0 , 2.666666666666667 , 3.4444444444444446 , 5.62962962962963 , 37.08641975308642 , 358.0576131687243 ] } iex&gt; Indicado.EMA . eval ( [ ] , 2 ) { :error , :not_enough_data } iex&gt; Indicado.EMA . eval ( [ 1 , 2 , 3 , 4 ] , 0 ) { :error , :bad_period }","ref":"Indicado.EMA.html#eval/2","title":"Indicado.EMA.eval/2","type":"function"},{"doc":"Calculates EMA for the list. It needs non empty list of numbers and a positive period argument. Raises NotEnoughDataError if the given list is not longh enough for calculating RSI. Raises BadPeriodError if period is an unacceptable number. Examples iex&gt; Indicado.EMA . eval! ( [ 1 , 2 , 3 , 4 ] , 2 ) [ 1.0 , 1.6666666666666665 , 2.5555555555555554 , 3.518518518518518 ] iex&gt; Indicado.EMA . eval! ( [ ] , 2 ) ** (NotEnoughDataError) not enough data iex&gt; Indicado.EMA . eval! ( [ 1 , 3 , 4 ] , 0 ) ** (BadPeriodError) bad period","ref":"Indicado.EMA.html#eval!/2","title":"Indicado.EMA.eval!/2","type":"function"},{"doc":"This is the MACD module used for calculating Moving Average Convergence Divergence","ref":"Indicado.MACD.html","title":"Indicado.MACD","type":"module"},{"doc":"Calculates MACD for the list. Returns list of map [{macd: x, signal: y}] or {:error, reason} macd represents macd calculation signal represents signal line Examples iex&gt; Indicado.MACD . eval ( [ 10 , 15 , 20 , 30 , 35 , 40 , 50 ] , 2 , 4 , 3 ) { :ok , [ %{ macd : 1.333333333333334 , signal : 0.666666666666667 } , %{ macd : 2.5777777777777793 , signal : 1.6222222222222231 } , %{ macd : 4.80592592592593 , signal : 3.2140740740740767 } , %{ macd : 5.303308641975313 , signal : 4.258691358024695 } , %{ macd : 5.321902880658442 , signal : 4.790297119341568 } , %{ macd : 6.573114293552813 , signal : 5.6817057064471905 } ] } iex&gt; Indicado.MACD . eval ( [ 1 , 2 , 3 , 4 ] , 2 , 4 , 3 ) { :ok , [ %{ macd : 0.2666666666666666 , signal : 0.1333333333333333 } , %{ macd : 0.5155555555555553 , signal : 0.3244444444444443 } , %{ macd : 0.6945185185185183 , signal : 0.5094814814814813 } ] } iex&gt; Indicado.MACD . eval ( [ ] , 4 , 8 , 6 ) { :error , :not_enough_data } iex&gt; Indicado.MACD . eval ( [ 1 , 2 , 3 , 4 ] , 0 , 4 , 3 ) { :error , :bad_period } iex&gt; Indicado.MACD . eval ( [ 1 , 2 , 3 , 4 ] , 2 , 0 , 3 ) { :error , :bad_period } iex&gt; Indicado.MACD . eval ( [ 1 , 2 , 3 , 4 ] , 2 , 4 , 0 ) { :error , :bad_period }","ref":"Indicado.MACD.html#eval/4","title":"Indicado.MACD.eval/4","type":"function"},{"doc":"Calculates MACD for the list. Returns list of map [{macd: x, signal: y}] or {:error, reason} macd represents macd calculation signal represents signal line Raises NotEnoughDataError if the given list is empty. Raises BadPeriodError if any period is an unacceptable number. Examples iex&gt; Indicado.MACD . eval! ( [ 1 , 2 , 3 , 4 ] , 2 , 4 , 3 ) [ %{ macd : 0.2666666666666666 , signal : 0.1333333333333333 } , %{ macd : 0.5155555555555553 , signal : 0.3244444444444443 } , %{ macd : 0.6945185185185183 , signal : 0.5094814814814813 } ] iex&gt; Indicado.MACD . eval! ( [ ] , 4 , 8 , 6 ) ** (NotEnoughDataError) not enough data iex&gt; Indicado.MACD . eval! ( [ 1 , 2 , 3 , 4 ] , 0 , 4 , 3 ) ** (BadPeriodError) bad period iex&gt; Indicado.MACD . eval! ( [ 1 , 2 , 3 , 4 ] , 2 , 0 , 3 ) ** (BadPeriodError) bad period iex&gt; Indicado.MACD . eval! ( [ 1 , 2 , 3 , 4 ] , 2 , 4 , 0 ) ** (BadPeriodError) bad period","ref":"Indicado.MACD.html#eval!/4","title":"Indicado.MACD.eval!/4","type":"function"},{"doc":"This is the helper module holding common math functions for Indicado.","ref":"Indicado.Math.html","title":"Indicado.Math","type":"module"},{"doc":"Calculated mean of a given numeric list. Returns nil if list is empty. Examples iex&gt; Indicado.Math . mean ( [ 1 , 2 , 3 , 4 ] ) 2.5 iex&gt; Indicado.Math . mean ( [ 3 , 5 , 0 , 14 ] ) 5.5 iex&gt; Indicado.Math . mean ( [ ] ) nil","ref":"Indicado.Math.html#mean/1","title":"Indicado.Math.mean/1","type":"function"},{"doc":"Calculates standard deviation of a given numeric list. Returns nil if list is empty. Examples iex&gt; Indicado.Math . stddev ( [ 1 , 2 , 3 , 4 ] ) 1.118033988749895 iex&gt; Indicado.Math . stddev ( [ 5 , 10 , 15 , 20 , 40 ] ) 12.083045973594572 iex&gt; Indicado.Math . stddev ( [ ] ) nil","ref":"Indicado.Math.html#stddev/1","title":"Indicado.Math.stddev/1","type":"function"},{"doc":"Calculates standard deviation of a given numeric list when mean is pre calculated and passed. Returns nil if list is empty. Examples iex&gt; Indicado.Math . stddev ( [ 1 , 2 , 3 , 4 ] , 2.5 ) 1.118033988749895 iex&gt; Indicado.Math . stddev ( [ 5 , 10 , 15 , 20 , 40 ] , 18 ) 12.083045973594572 iex&gt; Indicado.Math . stddev ( [ ] ) nil","ref":"Indicado.Math.html#stddev/2","title":"Indicado.Math.stddev/2","type":"function"},{"doc":"Calculates variance of a given numeric list. Returns nil if list is empty. Examples iex&gt; Indicado.Math . variance ( [ 1 , 2 , 3 , 4 ] ) 1.25 iex&gt; Indicado.Math . variance ( [ 2 , 4 , 6 , 8 ] ) 5.0 iex&gt; Indicado.Math . variance ( [ ] ) nil","ref":"Indicado.Math.html#variance/1","title":"Indicado.Math.variance/1","type":"function"},{"doc":"Calculates variance of a given numeric list when mean is pre calculated and passed. Returns nil if list is empty. Examples iex&gt; Indicado.Math . variance ( [ 1 , 2 , 3 , 4 ] , 2.5 ) 1.25 iex&gt; Indicado.Math . variance ( [ 2 , 4 , 6 , 8 ] , 5.0 ) 5.0 iex&gt; Indicado.Math . variance ( [ ] ) nil","ref":"Indicado.Math.html#variance/2","title":"Indicado.Math.variance/2","type":"function"},{"doc":"This is the OBV module used for calculating On-Balance Volume","ref":"Indicado.OBV.html","title":"Indicado.OBV","type":"module"},{"doc":"Calculates OBV for the list. The list argument passed to eval function should be list of ovb_data_map type. Returns {:ok, ovb_list} or {:error, :not_enough_data} ## Examples iex&gt; Indicado.OBV . eval ( [ %{ close : 1 , volume : 2 } , %{ close : 2 , volume : 5 } ] ) { :ok , [ 5 ] } iex&gt; Indicado.OBV . eval ( [ %{ close : 2 , volume : 3 } , %{ close : 1 , volume : 5 } ] ) { :ok , [ - 5 ] } iex&gt; Indicado.OBV . eval ( [ %{ close : 2 , volume : 3 } , %{ close : 1 , volume : 5 } , %{ close : 2 , volume : 4 } ] ) { :ok , [ - 5 , - 1 ] } iex&gt; Indicado.OBV . eval ( [ ] ) { :error , :not_enough_data }","ref":"Indicado.OBV.html#eval/1","title":"Indicado.OBV.eval/1","type":"function"},{"doc":"Calculates OBV for the list. The list argument passed to eval function should be list of ovb_data_map type. Raises NotEnoughDataError if the given list lenght is zero. ## Examples iex&gt; Indicado.OBV . eval! ( [ %{ close : 1 , volume : 1 } , %{ close : 2 , volume : 3 } ] ) [ 3 ] iex&gt; Indicado.OBV . eval! ( [ %{ close : 1 , volume : 1 } , %{ close : 1 , volume : 3 } ] ) [ 0 ] iex&gt; Indicado.OBV . eval! ( [ ] ) ** (NotEnoughDataError) not enough data","ref":"Indicado.OBV.html#eval!/1","title":"Indicado.OBV.eval!/1","type":"function"},{"doc":"The argument passed to eval functions should be a list of ovb_data_map type.","ref":"Indicado.OBV.html#t:ovb_data_map/0","title":"Indicado.OBV.ovb_data_map/0","type":"type"},{"doc":"This is the RSI module used for calculating Relative Strength Index","ref":"Indicado.RSI.html","title":"Indicado.RSI","type":"module"},{"doc":"Calculates RSI for the list. It needs list of numbers and the length of list argument should at least be 1 more than period. Returns {:ok, rsi_list} or {:error, reason} Examples iex&gt; Indicado.RSI . eval ( [ 1 , 2 , 3 , 4 , 5 , 6 ] , 2 ) { :ok , [ 100.0 , 100.0 , 100.0 , 100.0 ] } iex&gt; Indicado.RSI . eval ( [ 5 , 4 , 3 , 2 , 1 , 0 ] , 4 ) { :ok , [ 0.0 , 0.0 ] } iex&gt; Indicado.RSI . eval ( [ 2 , 4 , 6 , 7 , 2 , 1 , 5 , 10 ] , 3 ) { :ok , [ 100.0 , 37.5 , 14.285714285714292 , 39.99999999999999 , 90.0 ] } iex&gt; Indicado.RSI . eval ( [ ] , 2 ) { :error , :not_enough_data } iex&gt; Indicado.RSI . eval ( [ 1 , 5 , 10 ] , 3 ) { :error , :not_enough_data } iex&gt; Indicado.RSI . eval ( [ 1 , 4 ] , 0 ) { :error , :bad_period }","ref":"Indicado.RSI.html#eval/2","title":"Indicado.RSI.eval/2","type":"function"},{"doc":"Calculates RSI for the list. It needs list of numbers and the length of list argument should at least be 1 more than period. Raises NotEnoughDataError if the given list is not longh enough for calculating RSI. Raises BadPeriodError if period is an unacceptable number. Examples iex&gt; Indicado.RSI . eval! ( [ 1 , 3 , 5 , 7 ] , 2 ) [ 100.0 , 100.0 ] iex&gt; Indicado.RSI . eval! ( [ 1 , 3 ] , 3 ) ** (NotEnoughDataError) not enough data iex&gt; Indicado.RSI . eval! ( [ 1 , 3 , 4 ] , 0 ) ** (BadPeriodError) bad period","ref":"Indicado.RSI.html#eval!/2","title":"Indicado.RSI.eval!/2","type":"function"},{"doc":"This is the SMA module used for calculating Simple Moving Average.","ref":"Indicado.SMA.html","title":"Indicado.SMA","type":"module"},{"doc":"Calculates SMA for the list. Returns {:ok, sma_list} or {:error, reason} Examples iex&gt; Indicado.SMA . eval ( [ 1 , 3 , 5 , 7 ] , 2 ) { :ok , [ 2.0 , 4.0 , 6.0 ] } iex&gt; Indicado.SMA . eval ( [ 1 , 3 ] , 3 ) { :error , :not_enough_data } iex&gt; Indicado.SMA . eval ( [ 1 , 3 , 4 ] , 0 ) { :error , :bad_period }","ref":"Indicado.SMA.html#eval/2","title":"Indicado.SMA.eval/2","type":"function"},{"doc":"Calculates SMA for the list. Raises exceptions when arguments does not satisfy needed conditions to calculate SMA. Raises NotEnoughDataError if the given list is not longh enough for calculating SMA. Raises BadPeriodError if period is an unacceptable number. Examples iex&gt; Indicado.SMA . eval! ( [ 1 , 3 , 5 , 7 ] , 2 ) [ 2.0 , 4.0 , 6.0 ] iex&gt; Indicado.SMA . eval! ( [ 1 , 3 ] , 3 ) ** (NotEnoughDataError) not enough data iex&gt; Indicado.SMA . eval! ( [ 1 , 3 , 4 ] , 0 ) ** (BadPeriodError) bad period","ref":"Indicado.SMA.html#eval!/2","title":"Indicado.SMA.eval!/2","type":"function"},{"doc":"This is the SR module used for calculating Stochastic Oscillator.","ref":"Indicado.SR.html","title":"Indicado.SR","type":"module"},{"doc":"Calculates SR for the list. Returns {:ok, rs_list} or {:error, reason} Examples iex&gt; Indicado.SR . eval ( [ 1 , 3 , 4 , 3 , 1 , 5 ] , 4 ) { :ok , [ 66.66666666666666 , 0.0 , 100.0 ] } iex&gt; Indicado.SR . eval ( [ 1 , 10 , 5 , 3 , 9 , 12 , 6 , 3 , 4 ] , 5 ) { :ok , [ 88.88888888888889 , 100.0 , 33.33333333333333 , 0.0 , 11.11111111111111 ] } iex&gt; Indicado.SR . eval ( [ 1 , 3 ] , 3 ) { :error , :not_enough_data } iex&gt; Indicado.SR . eval ( [ 1 , 3 , 4 ] , 0 ) { :error , :bad_period }","ref":"Indicado.SR.html#eval/2","title":"Indicado.SR.eval/2","type":"function"},{"doc":"Calculates SR for the list. Raises exceptions when arguments does not satisfy needed conditions to calculate SR. Raises NotEnoughDataError if the given list is not long enough for calculating RS. Raises BadPeriodError if period is an unacceptable number. Examples iex&gt; Indicado.SR . eval! ( [ 1 , 3 , 5 , 7 ] , 2 ) [ 100.0 , 100.0 , 100.0 ] iex&gt; Indicado.SR . eval! ( [ 1 , 3 ] , 3 ) ** (NotEnoughDataError) not enough data iex&gt; Indicado.SR . eval! ( [ 1 , 3 , 4 ] , 0 ) ** (BadPeriodError) bad period","ref":"Indicado.SR.html#eval!/2","title":"Indicado.SR.eval!/2","type":"function"},{"doc":"This is the WR module used for calculating Williams %R.","ref":"Indicado.WR.html","title":"Indicado.WR","type":"module"},{"doc":"Calculates WR for the list. Returns {:ok, rs_list} or {:error, reason} Examples iex&gt; Indicado.WR . eval ( [ 1 , 3 , 4 , 3 , 1 , 5 ] , 4 ) { :ok , [ 0.3333333333333333 , 1.0 , 0.0 ] } iex&gt; Indicado.WR . eval ( [ 1 , 10 , 5 , 3 , 9 , 12 , 6 , 3 , 4 ] , 5 ) { :ok , [ 0.1111111111111111 , 0.0 , 0.6666666666666666 , 1.0 , 0.8888888888888888 ] } iex&gt; Indicado.WR . eval ( [ 1 , 3 ] , 3 ) { :error , :not_enough_data } iex&gt; Indicado.WR . eval ( [ 1 , 5 ] , 0 ) { :error , :bad_period }","ref":"Indicado.WR.html#eval/2","title":"Indicado.WR.eval/2","type":"function"},{"doc":"Calculates WR for the list. Raises exceptions when arguments does not satisfy needed conditions to calculate WR. Raises NotEnoughDataError if the given list is not long enough for calculating WR. Raises BadPeriodError if period is an unacceptable number. Examples iex&gt; Indicado.WR . eval! ( [ 1 , 3 , 4 , 3 , 1 , 5 ] , 4 ) [ 0.3333333333333333 , 1.0 , 0.0 ] iex&gt; Indicado.WR . eval! ( [ 1 , 3 ] , 3 ) ** (NotEnoughDataError) not enough data iex&gt; Indicado.WR . eval! ( [ 1 , 5 ] , 0 ) ** (BadPeriodError) bad period","ref":"Indicado.WR.html#eval!/2","title":"Indicado.WR.eval!/2","type":"function"},{"doc":"","ref":"BadDeviationError.html","title":"BadDeviationError","type":"exception"},{"doc":"","ref":"BadPeriodError.html","title":"BadPeriodError","type":"exception"},{"doc":"","ref":"NotEnoughDataError.html","title":"NotEnoughDataError","type":"exception"},{"doc":"","ref":"readme.html","title":"README","type":"extras"},{"doc":"Technical indicator library for Elixir with no dependencies. Indicado helps you analyze historical data to generate future price movement predictions on numerical datasets. Many traders and automated trading platforms use technical analysis because past actions may indicate future prices. Indicado might also be used outside financial markets if data hold patterns and not random.","ref":"readme.html#indicado","title":"README - Indicado 🚀🌕","type":"extras"},{"doc":"One idea is, you can follow up the cryptocurrency trading bot series of Frathon here. You can bring this library and a similar trading infrastructure explained in the video together. So, you can generate trading strategies with the indicators below and increase your chances of profiting.","ref":"readme.html#what-can-you-do-with-this-library","title":"README - What can you do with this library ❔","type":"extras"},{"doc":"Indicado What can you do with this library Table of Contents Supported Indicators Installation Usage Contributing","ref":"readme.html#table-of-contents","title":"README - Table of Contents 📋","type":"extras"},{"doc":"Indicators below are supported. New indicators being added regularly. Accumulation/Distribution Line ( ADI ) Bollinger Bands ( BB ) Exponential Moving Average ( EMA ) Moving Average Convergence Divergence ( MACD ) On-Balance Volume ( OBV ) Relative Strength Index ( RSI ) Simple Moving Average ( SMA ) Stochastic Oscillator ( SR ) Williams %R ( WR ) Helper math functions such as mean, stddev, variance is accessible through Indicado.Math module.","ref":"readme.html#supported-indicators","title":"README - Supported Indicators 📈","type":"extras"},{"doc":"Indicado published to Hex . Just add it to your dependencies in mix.exs . def deps do [ { :indicado , &quot;~&gt; 0.0.3&quot; } ] end Then run mix deps.get to install indicado.","ref":"readme.html#installation","title":"README - Installation 💻","type":"extras"},{"doc":"Indicado provides two functions on the public API of indicators. Namely eval and eval! function. eval function calls return {:ok, result} or {:error, reason} . eval! functions return a single result list or raises exceptions such as NotEnoughDataError . Because every other indicator may expect different arguments, I recommend you check online documentation on hexdocs before using the indicado. For demonstration purposes how you can calculate a four day Simple Moving Average is shown below. iex(2)&gt; Indicado.SMA . eval ( [ 1.0 , 5.0 , 7.4 , 12.5 , 16 , 4 ] , 4 ) { :ok , [ 6.475 , 10.225 , 9.975 ] }","ref":"readme.html#usage","title":"README - Usage 🛠️","type":"extras"},{"doc":"Please follow standard convention such as eval and eval! functions defined for all indicators inside lib folder. Rest is easy; Fork it! Create your feature branch (git checkout -b my-new-feature) Commit your changes (git commit -am 'Add some feature') Push to the branch (git push origin my-new-feature) Create new Pull Request To ensure a commit passes CI run mix test.ci before opening a pull request to execute commands below.","ref":"readme.html#contributing","title":"README - Contributing 🧵","type":"extras"}]